---
page_title: 'Command: providers'
description: >-
  The terraform providers command prints information about the providers
  required in the current configuration.
---

# Command: providers

The `terraform providers` command shows information about the
[provider requirements](/language/providers/requirements) of the
configuration in the current working directory, as an aid to understanding
where each requirement was detected from.

This command also has several subcommands with different purposes, which
are listed in the navigation bar.

## Usage

Usage: `terraform providers`
